/*
    Copyright (c) 2009,2011 digitalSTROM.org, Zurich, Switzerland

    This file is part of digitalSTROM Server.

    digitalSTROM Server is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    digitalSTROM Server is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.

*/

#pragma once

namespace dss {

struct DSMeterSpec;
struct GroupSpec;
struct ClusterSpec;
struct DeviceBinaryInputSpec;
struct DeviceStateSpec;
struct CircuitPowerStateSpec;
struct DeviceSensorSpec;
struct DeviceSensorValue;
struct DeviceSpec;
struct DSMeterHash;
struct ZoneHeatingConfigSpec;
struct ZoneHeatingInternalsSpec;
struct ZoneHeatingStateSpec;
struct ZoneHeatingOperationModeSpec;
struct MeteringConfigurationSpec;

using DSMeterSpec_t = DSMeterSpec;
using GroupSpec_t = GroupSpec;
using ClusterSpec_t = ClusterSpec;
using DeviceBinaryInputSpec_t = DeviceBinaryInputSpec;
using DeviceStateSpec_t = DeviceStateSpec;
using CircuitPowerStateSpec_t = CircuitPowerStateSpec;
using DeviceSensorSpec_t = DeviceSensorSpec;
using DeviceSensorValue_t = DeviceSensorValue;
using DSMeterHash_t = DSMeterHash;
using ZoneHeatingConfigSpec_t = ZoneHeatingConfigSpec;
using ZoneHeatingInternalsSpec_t = ZoneHeatingInternalsSpec;
using ZoneHeatingStateSpec_t = ZoneHeatingStateSpec;
using ZoneHeatingOperationModeSpec_t = ZoneHeatingOperationModeSpec;
using MeteringConfigurationSpec_t = MeteringConfigurationSpec;

} // namespace dss
