#pragma once

#include <ds-net/message-stream.h>
#include <ds/asio/resource.h>
#include <ds/system-fwd.h>

#include <boost/asio/ssl/context.hpp>

namespace dsBackend {

/// Wss (stream) client connecting to release-type specific backend url
std::unique_ptr<dsNet::MessageStreamClient> makeWSSClient(ds::asio::ResourceBase &parent, boost::asio::ssl::context &);

} // namespace dsBackend
