#!/bin/sh
#
# Update remote vdc-db with translations from Transifex

#VDC_DB_USER=""
#VDC_DB_PASSWORD=""

GTIN=""
[ -n $1 ] && GTIN="gtin=${1}&"

DSS_LOCALES="de_DE pl_PL fi_FI fr_CH en_US nl_NL tr_TR ru_RU it_IT es_ES nb_NO pt_PT sv_SE da_DK"

for LANG in $DSS_LOCALES; do
  echo "Update remote vdc db $LANG"
  curl "http://${VDC_DB_USER}:${VDC_DB_PASSWORD}@db.aizo.net/admin/nameimport.php?${GTIN}langcode=$LANG"
done
